Bug 760339

Summary: FreeType complains " couldn't find encoding 'iso8859-13'" for multiple local fonts
Product: [Fedora] Fedora Reporter: Alan Stern <stern>
Component: xorg-x11-fontsAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 16CC: fonts-bugs, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-26 10:15:16 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Alan Stern 2011-12-05 16:22:40 EST
Description of problem:  When X starts up, the Xorg log file contains multiple lines like this:

FreeType: couldn't find encoding 'iso8859-13' for '/usr/local/share/fonts/l047013t.pfa'

That particular font file doesn't belong to an RPM package; I inherited it from a long time ago.  In case you're interested about it:

$ grep l047013t /usr/local/share/fonts/fonts.dir
l047013t.pfa -b&h-luxi mono-medium-r-normal--0-0-0-0-m-0-adobe-standard
l047013t.pfa -b&h-luxi mono-medium-r-normal--0-0-0-0-m-0-ascii-0
l047013t.pfa -b&h-luxi mono-medium-r-normal--0-0-0-0-m-0-iso10646-1
l047013t.pfa -b&h-luxi mono-medium-r-normal--0-0-0-0-m-0-iso8859-1
l047013t.pfa -b&h-luxi mono-medium-r-normal--0-0-0-0-m-0-iso8859-13
l047013t.pfa -b&h-luxi mono-medium-r-normal--0-0-0-0-m-0-iso8859-15
l047013t.pfa -b&h-luxi mono-medium-r-normal--0-0-0-0-m-0-iso8859-2
l047013t.pfa -b&h-luxi mono-medium-r-normal--0-0-0-0-m-0-iso8859-9
l047013t.pfa -b&h-luxi mono-medium-r-normal--0-0-0-0-m-0-microsoft-cp1252

Regardless, the point is that the iso8859-13 encoding does indeed exist:

$ ls -l /usr/share/X11/fonts/encodings/iso8859-13*
-rw-r--r--. 1 root root 639 Jul 28 11:18 /usr/share/X11/fonts/encodings/iso8859-13.enc.gz
$ grep iso8859-13 /usr/share/X11/fonts/encodings/encodings.dir
iso8859-13 /usr/share/X11/fonts/encodings/iso8859-13.enc.gz

So why does FreeType complain so much?  Or to put this another way, why doesn't it also complain about the other fonts in /usr/local/share/fonts which use other encodings, such as iso8859-15 above?

Version-Release number of selected component (if applicable):
xorg-x11-fonts-misc-7.5-4.fc15.noarch
libXft-2.2.0-2.fc15.i686

How reproducible: Always.

Expected results: FreeType should be able to find the encoding file, and not fill the log with error messages.
Comment 1 Fedora End Of Life 2013-01-16 16:01:36 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-26 10:15:19 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.